For the complete documentation index, see llms.txt. This page is also available as Markdown.

Environment

List all environments

get
Responses
default

default response

application/json
get/environment
default

default response

Create a new environment

post
Body
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
post/environment
default

default response

Get an environment by ID

get
Path parameters
environmentIdstring · uuidRequired

The ID of the environment to retrieve

Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
get/environment/{environmentId}
default

default response

Change an existing environment

put
Path parameters
environmentIdstring · uuidRequired

The ID of the environment to change

Body
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
put/environment/{environmentId}
default

default response

Delete an environment

delete
Path parameters
environmentIdstring · uuidRequired

The ID of the environment to delete

Responses
204

successful operation

No content

delete/environment/{environmentId}
204

successful operation

No content

Add a managed service to an environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

managedServiceIdstring · uuidRequired

The ID of the managed service to add to the environment

Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
post/environment/{environmentId}/add/{managedServiceId}
default

default response

Add a service provider to an environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

serviceProviderIdstring · uuidRequired

The ID of the service provider to add to the environment

Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
post/environment/{environmentId}/addServiceProvider/{serviceProviderId}
default

default response

Remove a service provider from an environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

serviceProviderIdstring · uuidRequired

The ID of the service provider to remove from the environment

Responses
default

default response

application/json
createdDatestring · date-timeOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
serviceIdSetstring · uuid[]Optional
statusstring · enumOptionalPossible values:
post/environment/{environmentId}/remove/{serviceProviderId}
default

default response

Start an environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the environment to start

Responses
202

successful operation

No content

post/environment/{environmentId}/start
202

successful operation

No content

Stop an environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the environment to stop

Responses
202

successful operation

No content

post/environment/{environmentId}/stop
202

successful operation

No content

Last updated

Was this helpful?